/**
 * /script/projects.js
 * @version 1.1
 * @desc Script file for the projects tab
 * @author Fándly Gergő Zoltán (gergo@systemtest.tk, systemtest.tk)
 * @copy 2018 Fándly Gergő Zoltán
 * License:
    Systemtest.tk website's.
    Copyright (C) 2018  Fándly Gergő Zoltán

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
 **/

function loadProjects(){
    $.ajax({
        url: "./subs/loader.php",
        type: "GET",
        data: {"load":"projects", "backend":true, "getprojects":true},
        success: function(response){
            console.log(response);
            var projects=(response instanceof Object)?response:JSON.parse(response);
            $.each(projects, function(i, val){
                var cur=(val instanceof Object)?val:JSON.parse(val);

                var el=$("<div class=\"tile\"></div>");

                var content="<h2>"+cur.name+"</h2><hr class=\"separator\">";
                content+="<div class=\"imgholder\"><img src=\""+cur.image+"\" alt=\"project image\"></div>";
                content+="<div class=\"fadeout\" style=\"height: 10em\"><p>"+cur.description+"</p></div><br>";
                content+="<button type=\"button\" style=\"float: left\" onclick=\"window.location='"+cur.path+"'\">"+$("#langView").text()+"</button><button type=\"button\" style=\"float: right\" onclick=\"window.location='"+cur.repo+"'\">"+$("#langSource").text()+"</button>";
                content+="<p style=\"clear: both; font-size: 0.7em\">status: "+cur.status+", by: "+cur.owner+"</p>";
                
                el.html(content);
                el.hide().appendTo("#projects").slideDown();
            });
        }
    });
}

/*
 * RUN
 */
loadProjects();
